FROM centos:7
COPY maxiv.repo /etc/yum.repos.d/
RUN cd /usr/local/bin && \
    curl -sO https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh && \
    chmod +x wait-for-it.sh
RUN yum install -y epel-release && yum clean all
RUN yum install -y python36-pytango boost-python3 && yum clean all


COPY . /OphirPowerMeterLib
WORKDIR /OphirPowerMeterLib
RUN python3 setup.py install

